OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
ComputePointOrderOp< PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Member Functions
| ComputePointOrderOp (PointIndexType *pointOrder, const PointIndexType *bucketCounters, const PointIndexType *bucketOffsets)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
PointIndexType *const | mPointOrder
const PointIndexType *const | mBucketCounters
const PointIndexType *const | mBucketOffsets

## Constructor & Destructor Documentation

## ◆ ComputePointOrderOp()

ComputePointOrderOp | ( | PointIndexType * | pointOrder,
|  | const PointIndexType * | bucketCounters,
|  | const PointIndexType * | bucketOffsets
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mBucketCounters

const PointIndexType* const mBucketCounters

## ◆ mBucketOffsets

const PointIndexType* const mBucketOffsets

## ◆ mPointOrder

PointIndexType* const mPointOrder

The documentation for this struct was generated from the following file:

- PointPartitioner.h